language: php

sudo: false

cache:
    directories:
      - $HOME/.composer/cache

before_script:
    - sh -c "if [ '$SYMFONY_DEPS_VERSION' = '3.0' ]; then sed -i 's/~2\.8|3\.0\.\*/3.0.*@dev/g' composer.json; composer update; fi"
    - sh -c "if [ '$SYMFONY_DEPS_VERSION' = '' ]; then sed -i 's/~2\.8|3\.0\.\*/2.8.*@dev/g' composer.json; composer update; fi"
    - composer install

script: phpunit

matrix:
    include:
        - php: 5.5
        - php: 5.6
          env: SYMFONY_DEPS_VERSION=3
        - php: 7.0
        - php: hhvm
